list__all() {
    shift
  for f in "$MZK_PATH"/*.md; do
    list__one "$f"
  done
}

list__one_id() {
shift
  list__one "$MZK_PATH/$1.md"
}

list__one() {
  local note_path="$1"
  local note_id="$(basename $note_path)"
  note_id=${note_id%.*}

  if [ ! -f "$note_path" ]; then
    console__err list-one "note $note_path not found"
    exit 1
  fi

  if [ "$MZK_UNFRIENDLY" == "1" ]; then
    printf "$note_id\t$(note__title "$note_path")\t$note_path\n"
  else
    printf "%s\t\e[1m%s\e[0m\n\t%s\n\t\e[1m%s\e[0m\n\n" "$note_id" "$(note__title "$note_path")" "$(note__snippet "$note_path")" "$(note__tags "$note_path")"
  fi
}

list__find() {
    shift
    for f in "$MZK_PATH"/*.md; do
        local note_title="$(note__title "$f")"
        shopt -s nocasematch
        if [[ "$note_title" =~ $1 ]]; then
            list__one "$f"
        fi
    done
}
